events.listen('recipes', function (e) {

//Gobber Seed
e.custom(
    {
      "type": "mythicbotany:infusion",
      "group": "infuser",
      "output": { "item": "gobber2:gobber2_seed" },
      "mana": 1000000,
      "ingredients": [
        { "item": "kubejs:imperium_seed" },
        { "item": "envirocore:pladium_boule" },
        { "item": "eidolon:shadow_gem" },
        { "item": "ars_nouveau:mana_gem" },
        { "item": "astralsorcery:starmetal_ingot" },
        { "item": "integrateddynamics:proto_chorus" },
        { "item": "projecte:high_covalence_dust" }
      ],
      "fromColor": 37113,
      "toColor": 3031651
    }
  )
//Nether Gobber Glob
e.custom(
    {
        "type": "bloodmagic:soulforge",
        "input0": {"item": "gobber2:gobber2_globette"},
        "input1": {"item": "ars_nouveau:wixie_shards"},
        "input2": {"item": "forbidden_arcanus:dark_rune"},
        "input3": {"item": "bloodmagic:demonslate"},
        "output": {"item": "gobber2:gobber2_glob_nether"},
        "minimumDrain": 4096.0,
        "drain": 2048.0
      }
)
//End Gobber Glob
e.custom(
    {
      "type": "astralsorcery:altar",
      "altar_type": 3,
      "duration": 300,
      "starlight": 5000,
      "pattern": ["ABB  ","BCDA ","BDEDB"," ADCB","  BBA"],
      "key": {
        "A": {"item": "betterendforge:aeternium_ingot"},
        "B": {"item": "iceandfire:ghost_ingot"},
        "C": {"item": "gobber2:gobber2_globette_nether"},
        "D": {"item": "extendedcrafting:crystaltine_ingot"},
        "E": {"item": "envirocore:xerothium_crystal"}
      },
      "output": [
        {
          "item": "gobber2:gobber2_glob_end",
          "count": 1
        }
      ],
      "focus_constellation": "astralsorcery:mineralis",
      "relay_inputs": [
        {"item": "psi:psigem"},
        {"item": "psi:psigem"},
        {"item": "psi:psigem"},
        {"item": "psi:psigem"},
        {"item": "psi:psigem"}
      ],
      "effects": [
        "astralsorcery:built_in_effect_constellation_finish",
        "astralsorcery:built_in_effect_trait_relay_highlight",
        "astralsorcery:built_in_effect_discovery_central_beam",
        "astralsorcery:built_in_effect_trait_focus_circle",
        "astralsorcery:altar_default_sparkle",
        "astralsorcery:built_in_effect_constellation_lines",
        "astralsorcery:built_in_effect_attunement_sparkle"
      ]
    }
  )
//Gobber Armor
    //Gobber
    e.remove({ id: 'gobber2:gobber2_helmet' })
    e.shaped(item.of('gobber2:gobber2_helmet', 1), ['   ','AAA','ABA'], {
        A: 'gobber2:gobber2_ingot',
        B: 'minecraft:netherite_helmet'
      })
    e.remove({ id: 'gobber2:gobber2_chestplate' })
    e.shaped(item.of('gobber2:gobber2_chestplate', 1), ['ABA','AAA','AAA'], {
        A: 'gobber2:gobber2_ingot',
        B: 'minecraft:netherite_chestplate'
      })
    e.remove({ id: 'gobber2:gobber2_leggings' })
    e.shaped(item.of('gobber2:gobber2_leggings', 1), ['AAA','ABA','A A'], {
        A: 'gobber2:gobber2_ingot',
        B: 'minecraft:netherite_leggings'
      })
    e.remove({ id: 'gobber2:gobber2_boots' })
    e.shaped(item.of('gobber2:gobber2_boots', 1), ['   ','ABA','A A'], {
        A: 'gobber2:gobber2_ingot',
        B: 'minecraft:netherite_boots'
      })
    //Nether Gobber
    e.remove({ id: 'gobber2:gobber2_helmet_nether' })
    e.shaped(item.of('gobber2:gobber2_helmet_nether', 1), ['   ','AAA','ABA'], {
        A: 'gobber2:gobber2_ingot_nether',
        B: 'gobber2:gobber2_helmet'
      })
    e.remove({ id: 'gobber2:gobber2_chestplate_nether' })
    e.shaped(item.of('gobber2:gobber2_chestplate_nether', 1), ['ABA','AAA','AAA'], {
        A: 'gobber2:gobber2_ingot_nether',
        B: 'gobber2:gobber2_chestplate'
      })
    e.remove({ id: 'gobber2:gobber2_leggings_nether' })
    e.shaped(item.of('gobber2:gobber2_leggings_nether', 1), ['AAA','ABA','A A'], {
        A: 'gobber2:gobber2_ingot_nether',
        B: 'gobber2:gobber2_leggings'
      })
    e.remove({ id: 'gobber2:gobber2_boots_nether' })
    e.shaped(item.of('gobber2:gobber2_boots_nether', 1), ['   ','ABA','A A'], {
        A: 'gobber2:gobber2_ingot_nether',
        B: 'gobber2:gobber2_boots'
      })
    //End Gobber
    e.remove({ id: 'gobber2:gobber2_helmet_end' })
    e.shaped(item.of('gobber2:gobber2_helmet_end', 1), ['   ','AAA','ABA'], {
        A: 'gobber2:gobber2_links_end',
        B: 'gobber2:gobber2_helmet_nether'
      })
    e.remove({ id: 'gobber2:gobber2_chestplate_end' })
    e.shaped(item.of('gobber2:gobber2_chestplate_end', 1), ['ABA','AAA','AAA'], {
        A: 'gobber2:gobber2_links_end',
        B: 'gobber2:gobber2_chestplate_nether'
      })
    e.remove({ id: 'gobber2:gobber2_leggings_end' })
    e.shaped(item.of('gobber2:gobber2_leggings_end', 1), ['AAA','ABA','A A'], {
        A: 'gobber2:gobber2_links_end',
        B: 'gobber2:gobber2_leggings_nether'
      })
    e.remove({ id: 'gobber2:gobber2_boots_end' })
    e.shaped(item.of('gobber2:gobber2_boots_end', 1), ['   ','ABA','A A'], {
        A: 'gobber2:gobber2_links_end',
        B: 'gobber2:gobber2_boots_nether'
      })
})